Skip to main content
GET
/
public
/
v2
/
journal-entries
/
List JournalEntry records
curl --request GET \
  --url https://api.dualentry.com/public/v2/journal-entries/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v2/journal-entries/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v2/journal-entries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "reversal_items": [
        {
          "debit": "<string>",
          "credit": "<string>",
          "id": 123,
          "account_id": 123,
          "position": 123,
          "amortizable_assets": [],
          "fixed_assets": [],
          "classifications": [],
          "memo": "",
          "customer_id": 123,
          "vendor_id": 123,
          "not_aging_eligible_reason": "",
          "account_number": 123,
          "original_line_id": 123,
          "customer_name": "<string>",
          "vendor_name": "<string>"
        }
      ],
      "items": [
        {
          "debit": "<string>",
          "credit": "<string>",
          "id": 123,
          "entry_id": 123,
          "account_number": 123,
          "position": 123,
          "memo": "<string>",
          "amortizable_assets": [],
          "fixed_assets": [],
          "classifications": [],
          "customer_id": 123,
          "customer_name": "<string>",
          "vendor_id": 123,
          "vendor_name": "<string>"
        }
      ],
      "internal_id": 123,
      "number": 123,
      "transaction_id": 123,
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "memo": "<string>",
      "date": "2023-12-25",
      "transaction_date": "2023-12-25",
      "amount": "<string>",
      "exchange_rate": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "custom_fields": [],
      "attachments": [],
      "bank_match_status": "<string>",
      "reconciliation_status": "<string>",
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "approval_status": "<string>",
      "next_approvers": [
        {
          "id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "<string>",
          "full_name": "<string>",
          "avatar_url": "<string>"
        }
      ],
      "rejected_by": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "full_name": "<string>",
        "rejection_reason": "<string>"
      }
    }
  ],
  "count": 123
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

integration_sources
enum<string>[] | null
Available options:
bill_com,
ramp,
zoho,
fivetran,
stripe,
hubspot,
brex,
cubby,
avalara,
deel,
tax1099,
sitelink,
postgresql,
qlik,
power_bi,
snowflake,
avidxchange,
concur,
salesforce,
hmrc,
quickbooks,
xero,
netsuite_suiteanalytics,
sage_intacct,
adp_totalsource,
justworks,
paychex_flex,
paycom,
gusto,
ukg_ready
search
string | null
company_id
integer[] | null
account_id
integer[] | null
customer_id
integer[] | null
vendor_id
integer[] | null
number
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
approval_status
string[] | null
amount_gte
amount_lte
updated_after
string<date-time> | null
updated_before
string<date-time> | null
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicJournalEntrySchemaOut · object[]
required
count
integer
required
Last modified on July 13, 2026